Bug 124754 - nVidia FX 5950 card not driven in 24bpp mode
nVidia FX 5950 card not driven in 24bpp mode
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-29 05:16 EDT by Darin May
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-22 10:26:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darin May 2004-05-29 05:16:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Display set to 1024x768x24 showing clear 16bpp-esque banding on
default logon and wallpaper images.  Have a feeling anaconda not
detecting card capabilities correctly.


Version-Release number of selected component (if applicable):
xorg-x11-6.7.0-2

How reproducible:
Always

Steps to Reproduce:
1. Install FC2
2. Select 1024x768
3. Select Millions of colors (24bpp)
4. See banding on resulting images
    

Actual Results:  16bpp

Expected Results:  24bpp (or 32bpp?)

Additional info:
Comment 1 Darin May 2004-05-30 15:32:50 EDT
When the settings are changed to "Thousands of colors" the banding
goes away.  Reset to "Millions of colors" they re-appear.
Comment 2 Mike A. Harris 2004-09-01 13:36:21 EDT
Please file a bug report in the upstream X.Org bugzilla, and paste
the URL here, and we will track the issue in the upstream bugzilla.

Problems that occur using the "nv" video driver, require Nvidia's
assistance to fix, as the driver source code is obfuscated and
the open source community has no knowledge of the operation of
the Nvidia hardware to be able to debug/troubleshoot/fix the
driver, however the Nvidia driver maintainer (an Nvidia employee)
may provide fixes for problems they're made aware of in X.Org
bugzilla.

Once you've filed a bug in X.Org bugzilla, if you would like Red
Hat to track the problem there, please paste the URL in this bug
report and we will carbon copy on the upstream bug report and
review it from time to time.

Thanks in advance.
Comment 3 Darin May 2004-09-01 16:59:02 EDT
NO, this is using the stock xorg driver not the nv driver.

In regards to "upstream blah blah blah", please speak English, I don't
know what you're talking about.  ;-)
Comment 4 Mike A. Harris 2004-09-01 18:17:41 EDT
> NO, this is using the stock xorg driver not the nv driver.

The stock xorg driver _is_ the "nv" driver.

>In regards to "upstream blah blah blah", please speak English, I
>don't know what you're talking about.  ;-)

"Upstream" means "the people who wrote this software".  Red Hat
ships a lot of software in the OS distribution, however Red Hat
did not write all of this software from scratch.  The X.Org
project is the official open source project which develops the
X.Org X11 X implementation.  In other words, "X.Org" is the
official "upstream" project for the X.Org X11 software.

The official X.Org website is at http://www.x.org, and the
software is hosted on the Freedesktop.org website at:
http://xorg.freedesktop.org

The official bug tracking database for the X.Org X11 software is
located on the freedesktop website at the following URL:

    http://bugs.freedesktop.org

To file a bug to the official software project, go to the above
URL, create a user account, log in, and then you can file a bug
report against the "xorg" component.  This is what I mean by
file a bug report upstream.

The reason you must do this, is because the only people who can
fix bugs in the "nv" driver, are people with knowledge of how the
Nvidia hardware operates, who have access to the specifications
of that hardware, and who understand the driver source code.

The only person with detailed knowledge of Nvidia's hardware,
with access to the specifications, and who hacks on the driver,
is the driver maintainer, and he doesn't read bug reports in
Red Hat bugzilla.  ;o)

Once you've filed a bug report in the X.Org bugzilla at the
above URL, paste your bug report URL here, and we will track
the issue upstream.  If a fix becomes available from Nvidia, we
can review it and consider including it in a future update, however
if no bug fix becomes available, there is nothing we can do
to fix the driver.

Thanks in advance, hope this clears up any confusion.

Take care,
TTYL
Comment 5 Mike A. Harris 2004-12-22 10:26:03 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.


Note You need to log in before you can comment on or make changes to this bug.